Skip to main content
GET
/
v1
/
customer-portal
/
meters
/
{id}
Get Customer Meter
curl --request GET \
  --url https://api.spairehq.com/v1/customer-portal/meters/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "customer_id": "<string>",
  "meter_id": "<string>",
  "consumed_units": 123,
  "credited_units": 123,
  "balance": 123,
  "meter": {
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Path Parameters

id
string<uuid4>
required

The customer meter ID.

Response

Successful Response

id
string<uuid4>
required

The ID of the object.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

customer_id
string<uuid4>
required

The ID of the customer.

Example:

"992fae2a-2a17-4b7a-8d9e-e287cf90131b"

meter_id
string<uuid4>
required

The ID of the meter.

Example:

"d498a884-e2cd-4d3e-8002-f536468a8b22"

consumed_units
number
required

The number of consumed units.

Example:

25

credited_units
integer
required

The number of credited units.

Example:

100

balance
number
required

The balance of the meter, i.e. the difference between credited and consumed units.

Example:

75

meter
CustomerCustomerMeterMeter · object
required